set GALACTICA_REVISION=2024.1.1795.0
set GALACTICA_LIB_NAME=indexima-core
@echo off

if not exist "conf\galactica-env.bat" (
    echo "The file conf\galactica-env.bat is not found. Please create it based on the template file."
    exit 1
)

call conf\galactica-env.bat
call conf\galactica-common.bat

set ip=%1
set GALACTICA_LIB=%GALACTICA_LIB_NAME%-%GALACTICA_REVISION%.jar

%JAVA_HOME%\bin\java %NODESERVER_JVM_OPTIONS% -cp %ORDER_LIBS%;lib\*;lib\postcp\*;driver\*;conf;%GALACTICA_LIB%;%HADOOP_JARS% io.galactica.server.NodeServer --stop %ip%
